eTBM 3 - Feature #1970

Implement tag case list
08/04/2016 12:45 PM - Mauricio Dos Santos

Status: Closed Start date: 08/04/2016
Priority: Normal Due date:

Assignee: Mauricio Dos Santos % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.9.2 - Aug 22th, 2016 Spent time: 0.00 hour
Complexity:

Description

Show case list when clicking on the tag .

History

#1 - 08/04/2016 12:45 PM - Mauricio Dos Santos

- Status changed from New to In Progress

#2 - 08/04/2016 09:38 PM - Mauricio Dos Santos

- Tracker changed from Bug to Feature

#3 - 08/10/2016 02:06 AM - Mauricio Dos Santos

Need to talk about some architectural details with Ricardo and solve small issues before set as resolved.

#4 - 08/10/2016 10:53 PM - Mauricio Dos Santos

- Status changed from In Progress to Feedback

- how to send enum as {id, name}?
- how to display adminunit full name? Should | create an utils to handle that?

#5 - 08/11/2016 08:25 PM - Mauricio Dos Santos

- Status changed from Feedback to In Progress

#6 - 08/12/2016 12:01 AM - Mauricio Dos Santos

- Status changed from In Progress to Feedback

#7 - 08/12/2016 12:03 AM - Mauricio Dos Santos

Outro problema. CaseClassification tem 3 getKeys: um para TB outro para DRTB e outro para NMT.
Colocar o Dozer para converter enum em item nao resolveu esse problema. Buscar solugdo

#8 - 08/12/2016 12:40 AM - Mauricio Dos Santos

Pq deveria fazer a converséo de String > Enum ja que o dozer faz isso antes?

deveria implementar a conversdo de ltem > Enum apenas para manter o converter completo?

#9 - 08/12/2016 01:10 PM - Mauricio Dos Santos

Como filtrar admin unit? verificando se o admin unit selecionado é o owner unit ou qualquer um dos 4 parents?
#10 - 08/13/2016 02:22 PM - Ricardo Memoria

Da uma olhadinha em #1894

La tem exemplos de como pegar todos os admin units de uma dada admin unit ID

#11 - 08/15/2016 09:41 AM - Mauricio Dos Santos

Labels CaseClassification > usar o global lists service para incluir as varias mensagens de caseclassification.

Dozer > manter a convergdo de String para Enum.

#12 - 08/15/2016 09:42 AM - Mauricio Dos Santos

- Status changed from Feedback to In Progress

#13 - 08/15/2016 11:12 AM - Mauricio Dos Santos

Faltando apenas a implementagéo da tela de casos da admin unit e suas tag lists

#14 - 08/15/2016 10:01 PM - Mauricio Dos Santos

- Status changed from In Progress to Resolved

#15 - 08/17/2016 03:44 PM - Ricardo Memoria

- Status changed from Resolved to Closed

Available for testing
